summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Doege2015-08-19 10:06:22 +0200
committerMartin Doege2015-08-19 10:06:22 +0200
commitdb0b1623c1c9704be7725f1491f269dfa6342041 (patch)
treeeb0cc1a51a14cd46e2176f6a4bc403ed56e85cf4
parent5f454578d58e3ab7c8caa021a698cc716947b5fb (diff)
downloadaur-db0b1623c1c9704be7725f1491f269dfa6342041.tar.gz
revert
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD17
2 files changed, 11 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fb1e9fffddb..fcba9960da7 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = openastro
pkgdesc = OpenAstro is an open source fully featured astrology software.
pkgver = 1.1.48
- pkgrel = 2
+ pkgrel = 3
url = http://www.openastro.org/
arch = i686
arch = x86_64
@@ -12,10 +12,9 @@ pkgbase = openastro
depends = python2-rsvg
depends = python2-pytz
depends = pyswisseph
- depends = swisseph_12
- depends = swisseph_18
- depends = swisseph-fixstars
conflicts = openastro-dev
+ conflicts = swisseph_18
+ conflicts = swisseph-fixstars
source = openastro.org_1.1.48.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro
source = openastro.org-data_1.6.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
md5sums = b64d7263b5ab4e5a61b05cf57a2aea5b
diff --git a/PKGBUILD b/PKGBUILD
index 6edd06adeee..b276591b7e8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,26 +2,25 @@
pkgname='openastro'
pkgver='1.1.48'
-pkgrel='2'
+pkgrel='3'
pkgdesc='OpenAstro is an open source fully featured astrology software.'
arch=('i686' 'x86_64')
license=('GPL')
url=('http://www.openastro.org/')
-depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph' 'swisseph_12' 'swisseph_18' 'swisseph-fixstars')
+depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph')
makedepends=('setuptools')
optdepends=()
-conflicts=('openastro-dev')
+conflicts=('openastro-dev' 'swisseph_18' 'swisseph-fixstars')
source=(
- "openastro.org_${pkgver}.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
+ "openastro.org_"$pkgver".orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
"openastro.org-data_1.6.orig.tar.gz::http://openastro.org/download.php?file=source&type=data"
)
md5sums=('b64d7263b5ab4e5a61b05cf57a2aea5b'
'cd6b05177a454a5e6b8458403725130a')
package() {
- cd "${srcdir}/openastro.org-${pkgver}"
- python2 setup.py install --root="${pkgdir}" || return 1
- cd "${srcdir}/openastro.org-data-1.6"
- python2 setup.py install --root="${pkgdir}" || return 1
- rm -rf "${pkgdir}/usr/share/swisseph"
+ cd $srcdir"/openastro.org-"$pkgver
+ python2 setup.py install --root=$pkgdir || return 1
+ cd $srcdir"/openastro.org-data-1.6"
+ python2 setup.py install --root=$pkgdir || return 1
}